<?php
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}

$public_path=realpath(__DIR__);
$public_path=substr($public_path,0,strpos($public_path,'public_html')+12 );
chdir($public_path);
chdir('_lib');

include_once('lib_main.php');
$rutacjob='../-cjob';
if(!is_dir($rutacjob)){if(mkdir($rutacjob, 0751, true));}

$message=array();
$procesos=['clave','cexml','firma','recep','autor','email','uplce'];

// 0 dom 6 sab
$xdia=date('w');
$xhora=date('H');
$xminu=date('i');
$xfecha2=date('Y-m-d');

$m_00=[0];
$m_x0=[0,10,20,30,40,50];
$m_x5=[5,15,25,35,45,55];
$m_x3=[0,20,40];
$m_x4=[0,15,30,45];
$m_xx=[0,5,10,15,20,25,30,35,40,45,50,55];

$m_s1=[0,30];
$m_s2=[5,35];
$m_s3=[10,40];
$m_s4=[15,45];
$m_s5=[20,50];
$m_s6=[25,55];
// $m_s3=[0,5,10,15,20,25,30,35,40,45,50,55];

$m_clave = $m_x0;
$m_cexml = $m_x5;
$m_firma = $m_xx;
$m_recep = $m_x5;
$m_autor = $m_x0;
$m_email = $m_x0;
$m_uplce = $m_x5;

if(date('H')>='08' and date('H')<='18')
{
     $m_clave = $m_s1;
     $m_cexml = $m_s2;
     $m_firma = $m_s3;
     $m_recep = $m_s4;
     $m_autor = $m_s5;
     $m_email = $m_s6;
     $m_uplce = $m_s1;
}



$firma_conta=0;

foreach($procesos as $proceso)
{if(in_array($xminu, ${'m_'.$proceso})){${$proceso}=1;}}

$eol="\r\n";
$random_hash = md5(time()); 
$mailto='vicore@hotmail.com';
$email_reply='celec@vcrxol.com';

$headers='';
$headers.='From : '.basename(__FILE__).'@vcrxol.com'.$eol;
// $headers0=$headers;
if(!empty($email_reply)){$headers.='Reply-To:'.$email_reply.$eol;}
if(!empty($email_cc)){$headers.='Cc:'.$email_cc.$eol;}
if(!empty($email_bcc)){$headers.='Bcc:'.$email_bcc.$eol;}
$headers.= 'Return-Path: Soporte '.$empr0['empr_descri'].' <celec@vcrxol.com>'.$eol;
if(!empty($email_error)){$headers.='Errors-To:'.$email_error.$eol;}
$headers.='MIME-Version: 1.0' . $eol;
$headers.='Content-Type: multipart/mixed; boundary="PHP-mixed-'.$random_hash.'"';

$rutas=array();
$rutas[0]=$empr;
if(empty($empr))
{
//////////////////////////////////////////////
// valida cias y crea archivo _empr
//////////////////////////////////////////////
// include_once('cj_empr3.php');
$cd_url='https://vcrxol.com/_lib/cj_empr3.php?empr='.$empr;
file_get_contents($cd_url);
// $emprdb = '../-cjob/-emprdb.txt';
$emprdb = '../-cjob/-empr_cele.txt';
$rutas = file($emprdb, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
//////////////////////////////////////////////
}



//////////////////////////////////////////////
// ejecuta los procesos
//////////////////////////////////////////////
foreach($rutas as $ruta)
{
     $pnume=1;
     foreach($procesos as $proceso)
     {
          if(${$proceso}==1)
          {
               $cd_url='https://'.$ruta.'.vcrxol.com/?scri=cele_docu3&prnt=1&'.$proceso.'=1';
               if(!empty($fecha1)){$cd_url.='&fecha1='.$fecha1;}
               $html_cele=file_get_contents($cd_url);
//                if(mb_stristr($html_cele,'REGISTROS OK'))
//                if(mb_stristr($html_cele,'*** C.ELEC'))
               {file_put_contents('../-cjob/'.$ruta.'_cele_'.$pnume.$proceso.'.html',$html_cele);}
//                $html_cele=str_replace('id="brbr" noprint style="height:7em;"','',$html_cele);
               echo '<br>'.$html_cele;

// $f_name=$_SERVER['DOCUMENT_ROOT'].'/-cjob/_'.date('Hi').'_test1.txt';
// $f_name='../-cjob/_'.date('His').$ruta.$proceso.'_'.${$proceso}.'_test7.txt';
// $f_cont='';
// $f_cont.=' ===> '.$cfg_file;
// // $f_cont.=' ===> '.$ruta_x;
// file_put_contents($f_name,$f_cont);
// return;
               
               
               
//                $domd=new DOMDocument;
//                $domd->loadHTML($html_cele);
//                $ele_main=$domd->getElementById('main1');
//                $html_docu = $domd->saveHTML($ele_main);
//                $message[$proceso].=$html_docu;
          }
          $pnume++;
     }
}
//////////////////////////////////////////////


if(!empty($_SESSION['empr_codigo']))
{
     $html_cele=file_get_contents('https://'.$_SESSION['empr_codigo'].'.vcrxol.com/');
     echo '==='.$html_cele;
}


//////////////////////////////////////////////
// genera 1 archivo por cada modulo
//////////////////////////////////////////////
if(empty($empr))
{
     $pnume=1;
     foreach($procesos as $proceso)
     {
          if(${$proceso}==1)
          {file_put_contents('../-cjob/'.'____'.'_cele_'.$pnume.$proceso.'.html',$message[$proceso]);}
          $pnume++;
     }
}
//////////////////////////////////////////////

return;

?>